<?php

namespace App\Filament\Loggers;

use App\Models\RequestInfo;
use App\Filament\Resources\RequestInfoResource;
use Illuminate\Contracts\Support\Htmlable;
use Noxo\FilamentActivityLog\Loggers\Logger;
use Noxo\FilamentActivityLog\ResourceLogger\Field;
use Noxo\FilamentActivityLog\ResourceLogger\RelationManager;
use Noxo\FilamentActivityLog\ResourceLogger\ResourceLogger;

class RequestInfoLogger extends Logger
{
    public static ?string $model = RequestInfo::class;

    public static function getLabel(): string | Htmlable | null
    {
        return RequestInfoResource::getModelLabel();
    }

    public static function resource(ResourceLogger $logger): ResourceLogger
    {
        return $logger
            ->fields([
                Field::make('title')->label(__('Title')),
                Field::make('text')->label(__('Text')),
                Field::make('location')->label(__('Location')),
                Field::make('longitude')->label(__('Longitude')),
                Field::make('latitude')->label(__('Latitude')),
                Field::make('button_label')->label(__('Button Label')),
                Field::make('button_color')->label(__('Button Color')),
                Field::make('button_background_color')->label(__('Button Background Color')),
            ])
            ->relationManagers([
                //
            ]);
    }
}
